## osmid-0.8.0-1.src.tar.gz

=== external_libs/oscpack_1_1_0/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
PROJECT(TestOscpack)

INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR})

# separate versions of NetworkingUtils.cpp and UdpSocket.cpp are provided for Win32 and POSIX
# the IpSystemTypePath selects the correct ones based on the current platform

IF(WIN32)
 set(IpSystemTypePath ip/win32)
 set(LIBS ${LIBS} Ws2_32 winmm)
ELSE(WIN32)
 set(IpSystemTypePath ip/posix)
ENDIF(WIN32)

ADD_LIBRARY(oscpack 

ip/IpEndpointName.h
ip/IpEndpointName.cpp

ip/NetworkingUtils.h
${IpSystemTypePath}/NetworkingUtils.cpp

ip/UdpSocket.h
${IpSystemTypePath}/UdpSocket.cpp

ip/PacketListener.h
ip/TimerListener.h

osc/OscTypes.h
osc/OscTypes.cpp 
osc/OscHostEndianness.h
osc/OscException.h
osc/OscPacketListener.h
osc/MessageMappingOscPacketListener.h
osc/OscReceivedElements.h
osc/OscReceivedElements.cpp
osc/OscPrintReceivedElements.h
osc/OscPrintReceivedElements.cpp
osc/OscOutboundPacketStream.h
osc/OscOutboundPacketStream.cpp

)


#ADD_EXECUTABLE(OscUnitTests tests/OscUnitTests.cpp)
#TARGET_LINK_LIBRARIES(OscUnitTests oscpack ${LIBS})

#ADD_EXECUTABLE(OscSendTests tests/OscSendTests.cpp)
#TARGET_LINK_LIBRARIES(OscSendTests oscpack ${LIBS})

#ADD_EXECUTABLE(OscReceiveTest tests/OscReceiveTest.cpp)
#TARGET_LINK_LIBRARIES(OscReceiveTest oscpack ${LIBS})


#ADD_EXECUTABLE(OscDump examples/OscDump.cpp)
#TARGET_LINK_LIBRARIES(OscDump oscpack ${LIBS})

#ADD_EXECUTABLE(SimpleReceive examples/SimpleReceive.cpp)
#TARGET_LINK_LIBRARIES(SimpleReceive oscpack ${LIBS})

#ADD_EXECUTABLE(SimpleSend examples/SimpleSend.cpp)
#TARGET_LINK_LIBRARIES(SimpleSend oscpack ${LIBS})


if(MSVC)
  add_definitions("-D_CRT_SECURE_NO_WARNINGS")
  # Force to always compile with W4
  if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
    string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
  else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
  endif()
elseif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
  # Update if necessary
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-long-long -pedantic")
endif()

=== installer/debian/debian/changelog ===
osmid (0.7.0-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- Luis Lloret <luislloret@gmail.com>  Thu, 07 Jul 2016 10:56:44 +0100

=== PKGBUILD ===
# Maintainer: David Runge <dvzrv@archlinux.org>

pkgname=osmid
pkgver=0.8.0
pkgrel=1
pkgdesc="A lightweight, portable, easy to use tool to convert MIDI to OSC and OSC to MIDI"
arch=('x86_64')
url="https://github.com/llloret/osmid"
license=('GPL2' 'MIT')
groups=('pro-audio')
depends=('gcc-libs' 'glibc')
makedepends=('alsa-lib' 'cmake' 'libx11')
source=("$pkgname-$pkgver.tar.gz::https://github.com/llloret/${pkgname}/archive/v${pkgver}.tar.gz")
sha512sums=('279159790c0214780576cca6483883f71c19923a0bb623b62d7ea6f9ac08f82144c09b1237ffafcf8bba88fbd4fee3bd956570dee8f5f160c88538ce18ccaf8e')
b2sums=('3544d7a4de0ba1a82ad8d42ff9997cc518ded825ffa73491e665552769047005f97ff52138e3b5653beb37d57ab336c3bfc9aa68527c5646b60c132e8af61117')

build() {
  cd "$pkgname-$pkgver"
  cmake -DCMAKE_INSTALL_PREFIX='/usr' \
        -DCMAKE_BUILD_TYPE='None' \
        -W no-dev \
        -B build \
        -S .
  make VERBOSE=1 -C build
}

package() {
  depends+=('libasound.so')
  cd "$pkgname-$pkgver"
  make DESTDIR="$pkgdir/" install -C build
  # license
  install -vDm 644 LICENSE.md \
    -t "${pkgdir}/usr/share/licenses/${pkgname}"
  # docs
  install -vDm 644 README.md \
    -t "${pkgdir}/usr/share/doc/${pkgname}"
}

=== installer/debian/debian/control ===
Source: osmid
Maintainer: Luis Lloret <luislloret@gmail.com>
Section: misc
Priority: optional
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), libboost-system-dev, libboost-program-options-dev, libasound2-dev, cmake

Package: osmid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Midi to OSC to Midi bridge
	osmid bridges the world of Midi and OSC
